# PatternsReactRouter

**Category:** Base Components/Pages/Router

## Design

### Description

The `PatternsReactRouter` component wraps `PatternsReactRoute` components and defines the base path for those routes.

This component extends [`BrowserRouter`](https://reactrouter.com/en/main/router-components/browser-router) from `react-router-dom`.

### Usage

1. Import `PatternsReactRouter` and `PatternsReactRoute`.
1. For each page you want to route to, add a [`PatternsReactRoute`](./?path=%2Fstory%2Fbase-components-pages-routing--patternsreactroute) component inside the the `PatternsReactRouter` component.


```tsx
import { PatternsReactRouter } from '@wix/patterns/router';
```

## API

